<%-- <script type="text/javascript" src="/cms-cps/tuicommon/js/functions_cardDetails.js"></script> --%>
<script type="text/javascript" src="/cms-cps/amendandcancel/js/functions_cardDetails.js"></script>
<script type="text/javascript" src="/cms-cps/amendandcancel/js/functions_depositSection.js"></script>
<%@ page import="com.tui.uk.config.ConfReader" %>
<%
String TUIGiftCard = ConfReader.getConfEntry("TUIGiftCard.BINRange" , "");
pageContext.setAttribute("TUIGiftCard", TUIGiftCard, PageContext.REQUEST_SCOPE);
String ThomsonCreditCard = ConfReader.getConfEntry("ThomsonCreditcard.BINRange" , "");
pageContext.setAttribute("ThomsonCreditCard", ThomsonCreditCard, PageContext.REQUEST_SCOPE);
String isMasterCardGiftApplied = ConfReader.getConfEntry("isMasterCardGiftApplied" , "");
pageContext.setAttribute("isMasterCardGiftApplied", isMasterCardGiftApplied, PageContext.REQUEST_SCOPE);

%>


<%
String MasterCardTUIGiftCard = ConfReader.getConfEntry("MasterCardTUIGiftCard.BINRange" , "");
pageContext.setAttribute("MasterCardTUIGiftCard", MasterCardTUIGiftCard, PageContext.REQUEST_SCOPE);
%>
<script>
MasterCardTUIGiftCardNumber = "<%= MasterCardTUIGiftCard %>";
</script>
<c:set var="isDDApplicableBrands" value='<%=com.tui.uk.config.ConfReader.getConfEntry("dd.applicableBrands", "TUITH,TUIFC,TUITHCRUISE,THOMSONMOBILE,FIRSTCHOICEMOBILE,ANCTHOMSON,ANCFIRSTCHOICE,ANCTHCRUISE")%>'/>
<c:set var="isDDApplicableBrand" value="false"/>
<c:forEach var="brand" items="${isDDApplicableBrands}">
    <c:if test="${clientapp eq brand}"><c:set var="isDDApplicableBrand" value="true"/></c:if>
</c:forEach>
<c:set var="ddtermandcondition"
	value='<%=com.tui.uk.config.ConfReader.getConfEntry("tuithdirect.termsAndConditions", "")%>' />

<c:set var="bookingConditions" value="${bookingInfo.bookingComponent.termsAndCondition}" />


<script>
	TUIGiftCardNumber = "<%= TUIGiftCard %>" ;
	ThomsonCreditCard = "<%= ThomsonCreditCard %>" ;
	isMasterCardGiftAppliedCheck="<%= isMasterCardGiftApplied %>" ;
	var iframeLoaderCounter = 0;
	function scrollToViewport() {
		if(iframeLoaderCounter > 0) {
			try {
				document.getElementById('card-details-hide').scrollIntoView({behavior: "smooth"});
			}catch(ex){
				console.log(ex);
			}
		};
		iframeLoaderCounter++;
	}
</script>


<div class="card-details-section card-holder max-width-form cl-b"	id="card-details-hide">
	<c:set var="iframeError" value="false"/>		
	<c:if test="${empty hccsmap.hpsSession}">
		<c:set var="iframeError" value="true"/>		
	</c:if>
	<c:choose>
		<c:when test="${iframeError == 'false'}">
			<iframe 
				style="width: 100%" 
				name="HCCRedirectToCPS" 
				id="hcctoCps" 
				class="${isDDApplicableBrand ? 'withDD' : 'withoutDD'}" 
				src="${hccsmap.hpsUrl}?HPS_SessionID=${hccsmap.hpsSession}"
				onload="javascript:scrollToViewport()"></iframe>
		</c:when>
		<c:otherwise>
			<style>
				.tech-error {
						background: #d40e14;
						color: white;
						font-size: 15px;
						margin: 2rem 0;
						padding: 2rem;
						display: inline-block;
				}
			</style>
			<div class="tech-error">
				Card details was not captured in this process.<br/>
				Captured details were not used for payment as the session has expired before submitting.<br/>
				Please use different payment mode.
			</div>
		</c:otherwise>
	</c:choose>
</div>

	<div id="paypalTandC" class="hide">
		<div class="component" id="ddcomponent-hide">
                                        <div class="section-heading bf-first">
											<h2 class="icon-v2 icon-TUI_SinglePerson dark-blue">
												<span class="tui-font">Card Holder details</span>
											</h2>
										</div>

										<div class="select-block  b lowercase size-15 grey-dark more-pad-left">
												<!-- Note for js: span.hit-area is clickable -->
												<input hidden="true" type="checkbox" style="visibility:hidden;" name="addressSameAsLeadPassenger" id="addressSameAsLeadPassenger" gfv_required="required" value="true" chkit="yes">
												<span class="click-area fl">
													<span class="radio check active" onclick="toggleEditAddrDetails(this)"></span>
												</span>

												<p class="marg-bottom-10 marg-left-10 size-16 fl same-as-lead-text"></p>
											</div>
										<div class="show" id="default-addr">

											
														<input type="hidden" id="changeAddressCheckBox" name="changeAddressCheckBox" value="false">



                                        </div>
										                                    <div class="max-width-form hide pad-10" id="edit-addr">
											<div class="row c marg-bottom-20">
												<div class="label">
													<label for="title">Title</label>
												</div>
												<div class="select fixed-width w120 dspl-blk">
													<span id="passengerTitle" class="text">Select</span>
													<span class="arrow"><span></span></span>
													<select chk="title" id="passengerTitle0" name="title" alt="Lead Passenger Title" gfv_required="required">
														<option value="">Select</option>
			                                            <option value="Mr">Mr</option>
														<option value="Miss">Miss</option>
														<option value="Ms">Ms</option>
														<option value="Mrs">Mrs</option>
														<option value="Dr">Dr</option>
														<option value="Prof">Prof</option>
														<option value="Rev">Rev</option>
													</select>
												</div>
												<i class="caret erase red"></i>
											</div>
											<div class="row c marg-bottom-20">
												<div class="label">
													<label for="first-name">First name</label>
												</div>
												<input type="text" id="firstname" name="firstName" gfv_required="required" autocomplete="off" autocorrect="off" spellcheck="false" maxlength="15" chk="alpha" value="">
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
											</div>
											<div class="row c marg-bottom-20">
												<div class="label">
													<label for="last-name">Surname</label>
												</div>
												<input type="text" id="surname" name="surName" gfv_required="required" autocomplete="off" autocorrect="off" spellcheck="false" maxlength="15" chk="surname" value="">
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
											</div>

											<div class="row c country-selctor marg-bottom-20 no-label">
												<div class="label">
													<label for="Country">Country</label>
												</div>
												<div class="select">
													<span class="text">
                                                            UnitedKingdom
                                                        </span>
													<span class="arrow"><span></span></span>
													<select chk="nonblank" name="payment_0_selectedCountry" id="country" onchange="postcodeValidation.postcodeChange()">



														<option value="GB" selected="selected">
                                                            UnitedKingdom
                                                        </option>



														<option value="FR">
                                                            France
                                                        </option>

													</select>
													 <input type="hidden" name="payment_0_selectedCountryCode" id="countryCode" value="GB">
												</div>
											</div>

											<div class="row c marg-bottom-20">
												<div class="label">
													<label for="address">Address</label>
												</div>
												<input type="text" id="houseName" name="payment_0_street_address1" maxlength="32" chk="alphanumericspec" gfv_required="required" autocomplete="off" autocorrect="off" spellcheck="false" placeholder="House number / name" value="">
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
											</div>
											<div class="row c marg-bottom-20 no-label">
												<input type="text" id="addressLine1" name="payment_0_street_address2" maxlength="32" chk="streetline1Check" gfv_required="required" autocomplete="off" autocorrect="off" spellcheck="false" placeholder="Street Line 1" value="">
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
											</div>
											<div class="row c marg-bottom-20 no-label">
												<input type="text" id="addressLine2" name="addressLine2" chk="streetline1Check" maxlength="25" autocomplete="off" autocorrect="off" spellcheck="false" placeholder="Street Line 2 (Optional)" value="">
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
											</div>
											<div class="row c marg-bottom-20 no-label">
												<input type="text" id="city" name="payment_0_street_address3" chk="townorcityCheck" maxlength="25" numberallowed="" gfv_required="required" autocomplete="off" autocorrect="off" spellcheck="false" placeholder="Town/City" value="">
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
											</div>
										
											<div class="row c marg-bottom-20 no-label">
												<input type="text" id="postCode" class="fixed-width w135 dspl-blk" name="payment_0_postCode" maxlength="8" gfv_required="required" chk="postcode" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Postcode" value="">
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
											</div>


										</div>



										</div>

											<c:if test="${clientapp == 'ANCFJFO'}">
												<!-- Fare rules -->
												<%@include file="ancfjfo/fareRules.jspf"%>

												<!-- Baggage check-in safety information -->
												<%@include file="ancfjfo/baggageSafetyinformation.jspf"%>
											</c:if>


											<c:if test="${clientapp == 'ANCTHFO'}">
												<!-- Fare rules -->
												<%@include file="ancthfo/fareRules.jspf"%>

												<!-- Baggage check-in safety information -->
												<%@include file="ancthfo/baggageSafetyinformation.jspf"%>
											</c:if>

										<div class="component">
                                <div class="section-heading bf-first">
											<h2 class="dark-blue">
												<span class="tui-font">Terms &amp; Conditions</span>
											</h2>
										</div>
										<c:choose>
											<c:when test="${clientapp == 'ANCSKICS'}">
												<p class="marg-bottom-20">
													Please note that all members of your party must have valid passports
													and any applicable visas before travelling. Visit the <a
														href="JavaScript:newPopup('https://www.gov.uk/browse/abroad')"
														;=""  class="size-15">Foreign Office website</a> for a visa and
													travel advice.
												</p>
												<c:if test="${bookingComponent.payPalCreditApplicable}">
													<p class="marg-bottom-20 payPalCredit">PayPal Credit: Representative example: representative 21.9% APR (variable), purchase interest rate 21.9% p.a. (variable), assumed credit limit ${currency}1,200.00. TUI UK Limited acts as a broker and offers credit from PayPal Credit. Subject to status. Terms and Conditions apply. PayPal Credit is a trading name of PayPal (Europe) S.a.r.l. et Cie, S.C.A., 22-24 Boulevard Royal L-2449, Luxembourg..r.l. et Cie, S.C.A., 22-24
														Boulevard Royal L-2449, Luxembourg.</p>
												</c:if>
												<c:set var="isDDsetupAvailable" value="false" />
												<c:forEach var="depositsList" items="${bookingComponent.depositComponents}">
													<c:if test="${isDDsetupAvailable ne 'true'}">
													<c:if test="${(depositsList.ddPaymentComponents != null) || (not empty depositsList.ddPaymentComponents)}">
															<c:set var="isDDsetupAvailable" value="true" />
															<p class="marg-bottom-20 ddInfoText">
																If you have chosen to pay by direct debit and low deposit is
																payable you will be still required to pay the full deposit of
																&pound;400 if either you cancel your
																holiday, cancel or fail to set up your Direct Debit, or we cancel
																due to non-payment. In all circumstances our cancellation charges
																will apply. There are changes to our booking conditions for
																customers who pay by direct debit, please <a
																	href="JavaScript:newPopup('https://www.tui.co.uk/destinations/info/direct-debit-terms');"
																	class="size-15">click</a> here for detail
															</p>
														</c:if>
													</c:if>
												</c:forEach>

												
												<p class="marg-bottom-20">
													If you've got <a href="JavaScript:newPopup('https://www.crystalski.co.uk/help/special-requirements/');"
														class="size-15">special requirements</a>, please call us on
													<%=com.tui.uk.config.ConfReader.getConfEntry("tuics.tAndC.call.value", "")%>
													before booking.
												</p>
												<p class="marg-bottom-20">
													Please see the <a
														href="JavaScript:newPopup('https://www.crystalski.co.uk/our-policies/terms-and-conditions/transport-information/');">Air
														Passenger Notice</a> for a summary of the liability rules applied by
													community air carriers, as required by community legislation and the
													Montreal Convention.
												</p>
												<p class="marg-bottom-20">This booking is authorised under the
													ATOL licence of TUI UK Limited, ATOL 2524, and is protected under
													the ATOL scheme, as set out in the ATOL certificate to be
													supplied.
												</p>
												<!-- Note: no shadow at the bottom of this component, when it contains a link -->
												<div class="select-block b lowercase size-15 grey-dark more-pad-left marg-top-20">
													<!-- Note for js: span.hit-area is clickable -->
													<input hidden="true" type="checkbox" style="display: none;"
														name="agreeTermAndCondition" id="tourOperatorTermsAccepted"
														gfv_required="required" value="false" chkit="yes"> <span
														class="hit-area"> <span class="radio check confirm"></span>
													</span>
													<span class="terms-text"> I have read and accept the <a
														href="JavaScript:newPopup('${bookingConditions.relativeTAndCUrl}')">booking
															conditions</a> <span class="ddInfoText hide">, <a
															href="JavaScript:newPopup('https://www.tui.co.uk/destinations/info/direct-debit-terms');">Direct
																Debit terms</a>
														</span> and important information.
													</span>
												</div>
											</c:when>
											<c:when test="${clientapp == 'ANCSKIES'}">
												<p class="marg-bottom-20">
																Please note that all members of your party must have valid passports
																and any applicable visas before travelling. Visit the <a
																	href="JavaScript:newPopup('https://www.dfa.ie/travel/travel-advice/')"
																	;=""  class="size-15">Department of Foreign Affairs</a> for a visa and
																travel advice.
															</p>
														<c:if test="${not empty bookingComponent.flightSummary}">
															<p class="marg-bottom-20">
																If you've got <a href="JavaScript:newPopup('https://www.crystalski.ie/help/special-requirements/');"
																	class="size-15">special requirements</a>, please call us on
																<%=com.tui.uk.config.ConfReader.getConfEntry("tuies.tAndC.call.value", "")%>
																before booking.
															</p>
															<p class="marg-bottom-20">
																Please see the <a
																	href="JavaScript:newPopup('https://www.crystalski.ie/our-policies/terms-and-conditions/transport-information/');">Air
																	Passenger Notice</a> for a summary of the liability rules applied by
																community air carriers, as required by community legislation and the
																Montreal Convention.
															</p>
															<p class="marg-bottom-20 ">
																<strong>Your Financial Protection</strong> <br> TUI is
																Licensed by the Commission for Aviation Regulation under license
																T.O. 021 and have arranged an approved bond, therefore your money
																is secure with us. TUI is part of the TUI AG group of companies.
															</p>

														</c:if>
														<!-- Note: no shadow at the bottom of this component, when it contains a link -->
														<div class="select-block b lowercase size-15 grey-dark more-pad-left marg-top-20">
															<!-- Note for js: span.hit-area is clickable -->
															<input hidden="true" type="checkbox" style="display: none;"
																name="agreeTermAndCondition" id="tourOperatorTermsAccepted"
																gfv_required="required" value="false" chkit="yes"> <span
																class="hit-area"> <span class="radio check confirm"></span>
															</span>
															<span class="terms-text"> I have read and accept the <a
																href="JavaScript:newPopup('${bookingConditions.relativeTAndCUrl}')">booking
																	conditions</a> and important information.
															</span>
														</div>
											</c:when>
											<c:otherwise>
												<div class="term-conditions-details grey-med row tnc">
                                                                                                 <c:choose>
												<c:when test="${bookingComponent.nonPaymentData['oscarEnabled'] eq 'true' }">
														<p class="marg-bottom-10">
															Please note that all members of your party must have valid passports
															and any applicable visas before travelling. Visit the <a
																href="JavaScript:newPopup('https://www.dfa.ie/travel/travel-advice')"
																;=""  class="size-15"> Irish Department of Foreign Affairs</a> for a visa and
															travel advice.
														</p>
														</c:when>
														<c:otherwise>
														<p class="marg-bottom-20">
														Please note that all members of your party must have valid passports and any applicable visas before travelling. Visit the <a href="JavaScript:newPopup('https://www.gov.uk/browse/abroad')" ;="" class="size-15">Foreign Office website</a> for a visa and travel advice.
													</p>
														</c:otherwise>
														</c:choose>
													
													<c:if test="${bookingComponent.payPalCreditApplicable}">
														<p class="marg-bottom-20 payPalCredit">PayPal Credit: Representative example: representative 21.9% APR (variable), purchase interest rate 21.9% p.a. (variable), assumed credit limit ${currency}1,200.00. TUI UK Limited acts as a broker and offers credit from PayPal Credit. Subject to status. Terms and Conditions apply. PayPal Credit is a trading name of PayPal (Europe) S.a.r.l. et Cie, S.C.A., 22-24 Boulevard Royal L-2449, Luxembourg..r.l. et Cie, S.C.A., 22-24
															Boulevard Royal L-2449, Luxembourg.</p>
													</c:if>
													<c:set var="isDDsetupAvailable" value="false" />
													<c:forEach var="depositsList" items="${bookingComponent.depositComponents}">
														<c:if test="${isDDsetupAvailable ne 'true'}">
														<c:if test="${(depositsList.ddPaymentComponents != null) || (not empty depositsList.ddPaymentComponents)}">
																<c:set var="isDDsetupAvailable" value="true" />
																<p class="marg-bottom-20 ddInfoText">If you have chosen to pay by direct debit and zero or low deposit is payable you will be still required to pay the full deposit of ${currency}400.00 if either you cancel your holiday, cancel or fail to set up your Direct Debit, or we cancel due to non-payment.  In all circumstances our cancellation charges will apply.  There are changes to our booking conditions for customers who pay by direct debit, please <a href="JavaScript:newPopup('${ddtermandcondition}');" class="size-15">click</a> here for detail</p>
															</c:if>
														</c:if>
													</c:forEach>
													<p class="marg-bottom-20">
														If you've got <a href="JavaScript:newPopup('https://www.firstchoice.co.uk/holiday/book/termsandconditions/specialneeds');" class="size-15">special requirements</a>, please call us on <%=com.tui.uk.config.ConfReader.getConfEntry("tAndC.call.value", "")%> before booking.
													</p>
													<p class="marg-bottom-20">
														Please see the <a href="JavaScript:newPopup('http://www.thomson.co.uk/editorial/legal/montreal-convention.html');">Air Passenger Notice</a> for a summary of the liability rules applied by community air carriers, as required by community legislation and the Montreal Convention.
													</p>
                                                                                                  <c:choose>
												<c:when test="${clientapp == 'ANCFALCON' && bookingComponent.nonPaymentData['oscarEnabled'] eq 'true' }">
														
														<p class="marg-bottom-10 ">
														<strong>Your Financial Protection</strong> <br> TUI Holidays Ireland Limited is 
														Licensed by the Commission for Aviation Regulation under license T.O. 272 and have arranged an approved bond,
														therefore your money is secure with us. TUI Holidays Ireland Limited is part of the TUI AG group of companies.
					
						
					
														</p>
														  </c:when>
														<c:otherwise>
														<c:choose>
														<c:when test="${clientapp == 'ANCFJFO'}">
														</c:when>
														<c:otherwise>
														<p class="marg-bottom-20">
														This booking is authorised under the ATOL licence of TUI UK Limited, ATOL 2524, and is protected under the ATOL scheme, as set out in the ATOL certificate to be supplied.
													</p>
													</c:otherwise>
													</c:choose>
													</c:otherwise>
													</c:choose>
											

													

													<!-- Note: no shadow at the bottom of this component, when it contains a link -->
													<div class="select-block bg-light-blue b lowercase size-15 grey-dark more-pad-left marg-top-20">
														<!-- Note for js: span.hit-area is clickable -->
														<input hidden="true" type="checkbox" style="display:none;" name="agreeTermAndCondition" id="tourOperatorTermsAccepted" gfv_required="required" value="false" chkit="yes">
														<span class="hit-area">

															<span class="radio check confirm"></span>
														</span>
														<span class="terms-text">
												I have read and accept the <a href="JavaScript:newPopup('')">booking conditions</a><span class="ddInfoText">, <a href="JavaScript:newPopup('');">Direct Debit terms</a> </span> and important information.</span>
													</div>
												</div>
											</c:otherwise>
										</c:choose>
											<!-- Data protection notice -->



	</div>
	<div class="ctaContent marg-bottom-10">
										<%--<div class="paydetails fl">
											<!--Start - About to pay section-->
											<div class="disNone" id="creditCardCharges" onclick="displayCreditCharges(this.id)">
												<p class="size-18"><span class="final-amount-text">You're about to pay&nbsp;</span><span class="creditCardChargeFinalAmt currency"></span><span class="creditCardChargeFinalAmt amount" id="creditCardChargeFinalAmt">150.00</span> by Credit Card</p>

											</div>
											<div id="debitCardCharges">
												<p class="size-18">
                                                													<span class="final-amount-text">You're about to pay&nbsp;</span>
                                                													<span class="debitCardChargeFinalAmt currency" id="debitCardCurrency"></span>
                                                													<span class="creditCardChargeFinalAmt amount" id="debitCardFinalAmt">150.00</span><span id="debitCardText"> by Debit Card</span></p>
											</div>
											<div class="disNone" id="thomsonCardCharges" style="display:none">
												<p class="size-18">You're about to pay&nbsp;<span class="creditCardChargeFinalAmt currency"></span>
											<span class="creditCardChargeFinalAmt amount" id="thomsonCardFinalAmt">150.00</span> by TUI Credit Card</p>
											</div>
											<div class="disNone" id="giftCardCharges" onclick="displayCreditCharges(this.id)">
												<p class="size-18"><span class="final-amount-text">You're about to pay&nbsp;</span><span class="giftCardFinalAmt currency"></span>
												<span class="creditCardChargeFinalAmt amount" id="giftCardFinalAmt">150.00</span> by Gift Card</p>
											</div>
											<div class="disNone" id="cardPaymentCharges" onclick="displayCardChargesPaypal(this.id)">
												<p class="size-18">
													<span class="final-amount-text">You're about to pay&nbsp;</span>
													<span class="cardPaymentChargeFinalAmt currency"></span>
													<span class="creditCardChargeFinalAmt amount" id="cardPaymentFinalAmt">150.00</span> by Credit Card</p>
													<p>No credit card fees.</p>
											</div>
											<div class="disNone" id="payPalCharges" onclick="displayCardChargesPaypal(this.id)">
												<p class="size-18"><span class="final-amount-text">You're about to pay&nbsp;</span><span class="payPalFinalAmt currency" id="paypalCurrency"></span>
                                                												<span class="creditCardChargeFinalAmt amount" id="payPalFinalAmt">150.00</span><span id="paypalCardText" class=""> by PayPal</span></p>
											</div>
											<!--End - About to pay section-->
										</div>--%>
										<div class="ctnbutton fr">




														<input type="image" src="" class="button book-flow" id="paypalbutton">



									</div>
									</div>
	</div>


